# Class ExpandControlsCellComponent<Data>

#### Type Parameters

- Data extends Record<string, any>

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts:25

#####
Index

### Constructors

constructor

### Properties

element
expandCell

## Constructors

### constructor

- new ExpandControlsCellComponent<Data>(expandCell): ExpandControlsCellComponent<Data>

- #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - expandCell: ExpandRowService<Data>

  #### Returns ExpandControlsCellComponent<Data>

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts:30

## Properties

### element

element: Data

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts:28

### `Readonly` expandCell

expandCell: ExpandRowService<Data>

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts:32